"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[3232],{

/***/ 8000:
/*!**************************************************************!*\
  !*** ./src/app/devices/device-card/device-card.component.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DeviceCardComponent: () => (/* binding */ DeviceCardComponent)
/* harmony export */ });
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! leaflet */ 8244);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(leaflet__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _devices_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../devices.service */ 9536);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);
/* harmony import */ var _device_devicemeasurement_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../device-devicemeasurement.service */ 280);







let DeviceCardComponent = /*#__PURE__*/(() => {
  var _DeviceCardComponent;
  class DeviceCardComponent {
    constructor(router, devicesService, toastService, deviceDeviceMeasurement) {
      this.router = router;
      this.devicesService = devicesService;
      this.toastService = toastService;
      this.deviceDeviceMeasurement = deviceDeviceMeasurement;
      this.userIcon = leaflet__WEBPACK_IMPORTED_MODULE_0__.icon({
        iconUrl: 'assets/map/marker-icon.png',
        shadowUrl: 'assets/map/marker-shadow.png',
        iconSize: [25, 41],
        iconAnchor: [12, 41],
        popupAnchor: [1, -34],
        shadowSize: [41, 41]
      });
      this.lastMeasurement = 'No disponible';
    }
    ngOnInit() {
      this.deviceDeviceMeasurement.setDeviceId(this.device.id);
      this.deviceDeviceMeasurement.getMeasurements().subscribe({
        next: deviceMeasurement => {
          if (deviceMeasurement) {
            this.lastMeasurement = deviceMeasurement[0].time;
          }
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
    ngAfterViewInit() {
      setTimeout(() => this.initMap(), 50);
    }
    ngOnDestroy() {
      if (this.map) {
        this.map.remove();
      }
    }
    initMap() {
      this.map = new leaflet__WEBPACK_IMPORTED_MODULE_0__.Map(`deviceLocation${this.device.id}`, {
        attributionControl: false
      }).setView([this.device.latitude, this.device.longitude], 18);
      leaflet__WEBPACK_IMPORTED_MODULE_0__.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {}).addTo(this.map);
      this.userMarker = leaflet__WEBPACK_IMPORTED_MODULE_0__.marker([this.device.latitude, this.device.longitude], {
        icon: this.userIcon
      }).addTo(this.map);
    }
    editDevice() {
      this.router.navigate(['/devices/edit', this.device.id]);
    }
    deleteDevice() {
      this.devicesService.delete(this.device).subscribe({
        next: () => {
          window.location.reload();
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
  }
  _DeviceCardComponent = DeviceCardComponent;
  _DeviceCardComponent.ɵfac = function DeviceCardComponent_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _DeviceCardComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_5__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_devices_service__WEBPACK_IMPORTED_MODULE_1__.DevicesService), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdirectiveInject"](_device_devicemeasurement_service__WEBPACK_IMPORTED_MODULE_3__.DeviceDevicemeasurementService));
  };
  _DeviceCardComponent.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵdefineComponent"]({
    type: _DeviceCardComponent,
    selectors: [["app-device-card"]],
    inputs: {
      device: "device"
    },
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵStandaloneFeature"]],
    decls: 40,
    vars: 6,
    consts: [[1, "ion-margin-bottom"], [1, "vertical-align-content"], [1, "ion-margin-vertical", 2, "height", "200px", "width", "100%", 3, "id"], ["fill", "clear", 3, "click"]],
    template: function DeviceCardComponent_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](0, "ion-card")(1, "ion-card-header")(2, "ion-card-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](4, "ion-card-content")(5, "div", 0)(6, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](7, "Identificador: ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](8);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](9, "div", 0)(10, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](11, "Descripci\u00F3n de la ubicaci\u00F3n:");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](12, "br");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](13);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](14, "ion-grid")(15, "ion-row", 1)(16, "ion-col")(17, "div")(18, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](19, "Ubicaci\u00F3n:");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](20, "div", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](21, "ion-row")(22, "ion-col")(23, "div")(24, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](25, "Alcance:");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](26, "br");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](27);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](28, "ion-grid")(29, "ion-row", 1)(30, "ion-col")(31, "div")(32, "b");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](33, "\u00DAltima medici\u00F3n recibida:");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelement"](34, "br");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](35);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](36, "ion-button", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵlistener"]("click", function DeviceCardComponent_Template_ion_button_click_36_listener() {
          return ctx.editDevice();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](37, "Editar");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementStart"](38, "ion-button", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵlistener"]("click", function DeviceCardComponent_Template_ion_button_click_38_listener() {
          return ctx.deleteDevice();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtext"](39, "Eliminar");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵelementEnd"]()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](3);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("Nombre: ", ctx.device.name, "");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"]("", ctx.device.id, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"](" ", ctx.device.location, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵpropertyInterpolate"]("id", "deviceLocation" + ctx.device.id);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"](" ", ctx.device.scope, " ");
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵadvance"](8);
        _angular_core__WEBPACK_IMPORTED_MODULE_4__["ɵɵtextInterpolate1"](" ", ctx.lastMeasurement, " ");
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCardHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCardTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCardContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_6__.IonButton]
  });
  return DeviceCardComponent;
})();

/***/ }),

/***/ 3232:
/*!*****************************************!*\
  !*** ./src/app/devices/devices.page.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DevicesPage: () => (/* binding */ DevicesPage)
/* harmony export */ });
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var _device_card_device_card_component__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./device-card/device-card.component */ 8000);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _devices_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./devices.service */ 9536);
/* harmony import */ var _core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/services/toast.service */ 5423);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/router */ 7901);









function DevicesPage_app_device_card_12_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelement"](0, "app-device-card", 7);
  }
  if (rf & 2) {
    const device_r1 = ctx.$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("device", device_r1);
  }
}
let DevicesPage = /*#__PURE__*/(() => {
  var _DevicesPage;
  class DevicesPage {
    constructor(devicesService, toastService, router) {
      this.devicesService = devicesService;
      this.toastService = toastService;
      this.router = router;
      this.devices = [];
    }
    ionViewWillEnter() {
      this.devicesService.getAll().subscribe({
        next: devices => {
          this.devices = devices;
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
    newDevice() {
      this.router.navigateByUrl('/devices/new');
    }
  }
  _DevicesPage = DevicesPage;
  _DevicesPage.ɵfac = function DevicesPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _DevicesPage)(_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_devices_service__WEBPACK_IMPORTED_MODULE_1__.DevicesService), _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_4__.Router));
  };
  _DevicesPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdefineComponent"]({
    type: _DevicesPage,
    selectors: [["app-devices"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵStandaloneFeature"]],
    decls: 13,
    vars: 3,
    consts: [[3, "translucent"], ["slot", "primary"], ["fill", "solid", 3, "click"], [3, "fullscreen"], ["collapse", "condense"], ["size", "large"], [3, "device", 4, "ngFor", "ngForOf"], [3, "device"]],
    template: function DevicesPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](3, "Dispositivos Skiliket");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](4, "ion-buttons", 1)(5, "ion-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵlistener"]("click", function DevicesPage_Template_ion_button_click_5_listener() {
          return ctx.newDevice();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](6, "Agregar nuevo");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementStart"](7, "ion-content", 3)(8, "ion-header", 4)(9, "ion-toolbar")(10, "ion-title", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtext"](11, "Dispositivos Skiliket");
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵtemplate"](12, DevicesPage_app_device_card_12_Template, 1, 1, "app-device-card", 6);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵelementEnd"]();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵadvance"](7);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵadvance"](5);
        _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵproperty"]("ngForOf", ctx.devices);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonToolbar, _angular_common__WEBPACK_IMPORTED_MODULE_6__.CommonModule, _angular_common__WEBPACK_IMPORTED_MODULE_6__.NgForOf, _angular_forms__WEBPACK_IMPORTED_MODULE_7__.FormsModule, _device_card_device_card_component__WEBPACK_IMPORTED_MODULE_0__.DeviceCardComponent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_5__.IonButtons]
  });
  return DevicesPage;
})();

/***/ }),

/***/ 9536:
/*!********************************************!*\
  !*** ./src/app/devices/devices.service.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DevicesService: () => (/* binding */ DevicesService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);





let DevicesService = /*#__PURE__*/(() => {
  var _DevicesService;
  class DevicesService {
    constructor(http, authService) {
      this.http = http;
      this.authService = authService;
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/devices';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(device) {
      return this.http.post(`${this.urlBase}`, device).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    delete(device) {
      return this.http.delete(`${this.urlBase}/${device.id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    get(id) {
      return this.http.get(`${this.urlBase}/${id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    getAll() {
      return this.http.get(`${this.urlBase}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    update(device) {
      const editDevice = {
        ...device
      };
      delete editDevice.id;
      return this.http.put(`${this.urlBase}/${device.id}`, editDevice).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
  }
  _DevicesService = DevicesService;
  _DevicesService.ɵfac = function DevicesService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _DevicesService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService));
  };
  _DevicesService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _DevicesService,
    factory: _DevicesService.ɵfac,
    providedIn: 'root'
  });
  return DevicesService;
})();

/***/ })

}]);