"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[6786],{

/***/ 4293:
/*!***************************************!*\
  !*** ./src/app/core/models/device.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Device: () => (/* binding */ Device)
/* harmony export */ });
class Device {
  constructor(data = {}) {
    var _data$id, _data$name, _data$location, _data$latitude, _data$longitude, _data$scope, _data$created_at, _data$updated_at;
    this.id = (_data$id = data.id) !== null && _data$id !== void 0 ? _data$id : 0;
    this.name = (_data$name = data.name) !== null && _data$name !== void 0 ? _data$name : '';
    this.location = (_data$location = data.location) !== null && _data$location !== void 0 ? _data$location : '';
    this.latitude = (_data$latitude = data.latitude) !== null && _data$latitude !== void 0 ? _data$latitude : 0;
    this.longitude = (_data$longitude = data.longitude) !== null && _data$longitude !== void 0 ? _data$longitude : 0;
    this.scope = (_data$scope = data.scope) !== null && _data$scope !== void 0 ? _data$scope : 0;
    this.created_at = (_data$created_at = data.created_at) !== null && _data$created_at !== void 0 ? _data$created_at : '';
    this.updated_at = (_data$updated_at = data.updated_at) !== null && _data$updated_at !== void 0 ? _data$updated_at : '';
  }
}

/***/ }),

/***/ 6786:
/*!****************************************************************!*\
  !*** ./src/app/devices/devices-form/devices-form.component.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DevicesFormComponent: () => (/* binding */ DevicesFormComponent)
/* harmony export */ });
/* harmony import */ var _Users_oscar_Documents_Escire_Skiliket_skiliket_front_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./node_modules/@babel/runtime/helpers/esm/asyncToGenerator.js */ 467);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var src_app_core_models_device__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/core/models/device */ 4293);
/* harmony import */ var _capacitor_geolocation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @capacitor/geolocation */ 7762);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! leaflet */ 8244);
/* harmony import */ var leaflet__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(leaflet__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _devices_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../devices.service */ 9536);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/router */ 7901);











let DevicesFormComponent = /*#__PURE__*/(() => {
  var _DevicesFormComponent;
  class DevicesFormComponent {
    constructor(devicesService, toastService, router) {
      this.devicesService = devicesService;
      this.toastService = toastService;
      this.router = router;
      this.userIcon = leaflet__WEBPACK_IMPORTED_MODULE_3__.icon({
        iconUrl: 'assets/map/marker-icon.png',
        shadowUrl: 'assets/map/marker-shadow.png',
        iconSize: [25, 41],
        iconAnchor: [12, 41],
        popupAnchor: [1, -34],
        shadowSize: [41, 41]
      });
      this.device = new src_app_core_models_device__WEBPACK_IMPORTED_MODULE_1__.Device();
    }
    ngOnInit() {
      var _this = this;
      return (0,_Users_oscar_Documents_Escire_Skiliket_skiliket_front_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_0__["default"])(function* () {
        if (_this.map) {
          _this.map.remove();
        }
        yield _this.initMap();
      })();
    }
    ngOnChanges(changes) {
      if (changes['device'] && !changes['device'].isFirstChange()) {
        this.setDeviceLocation();
      }
    }
    initMap() {
      var _this2 = this;
      return (0,_Users_oscar_Documents_Escire_Skiliket_skiliket_front_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_0__["default"])(function* () {
        const coordinates = yield _capacitor_geolocation__WEBPACK_IMPORTED_MODULE_2__.Geolocation.getCurrentPosition();
        _this2.device.latitude = coordinates.coords.latitude;
        _this2.device.longitude = coordinates.coords.longitude;
        _this2.map = new leaflet__WEBPACK_IMPORTED_MODULE_3__.Map("mapSelectDevice", {
          attributionControl: false
        }).setView([_this2.device.latitude, _this2.device.longitude], 18);
        leaflet__WEBPACK_IMPORTED_MODULE_3__.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {}).addTo(_this2.map);
        _this2.userMarker = leaflet__WEBPACK_IMPORTED_MODULE_3__.marker([_this2.device.latitude, _this2.device.longitude], {
          draggable: true,
          icon: _this2.userIcon
        }).addTo(_this2.map);
        _this2.userMarker.on('moveend', event => {
          const marker = event.target;
          const position = marker.getLatLng();
          _this2.device.latitude = position.lat;
          _this2.device.longitude = position.lng;
        });
      })();
    }
    setDeviceLocation() {
      this.userMarker.setLatLng([this.device.latitude, this.device.longitude]);
      this.map.setView([this.device.latitude, this.device.longitude], 18);
    }
    save() {
      if (this.device.id == 0) {
        this.devicesService.create(this.device).subscribe({
          next: () => {
            this.router.navigateByUrl('main/devices').then(() => {
              window.location.reload();
            });
          },
          error: error => {
            this.toastService.showToast(error.message);
          }
        });
      } else {
        this.devicesService.update(this.device).subscribe({
          next: () => {
            this.router.navigateByUrl('main/devices').then(() => {
              window.location.reload();
            });
          },
          error: error => {
            this.toastService.showToast(error.message);
          }
        });
      }
    }
  }
  _DevicesFormComponent = DevicesFormComponent;
  _DevicesFormComponent.ɵfac = function DevicesFormComponent_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _DevicesFormComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_devices_service__WEBPACK_IMPORTED_MODULE_4__.DevicesService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_5__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_7__.Router));
  };
  _DevicesFormComponent.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdefineComponent"]({
    type: _DevicesFormComponent,
    selectors: [["app-devices-form"]],
    inputs: {
      device: "device"
    },
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵNgOnChangesFeature"], _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵStandaloneFeature"]],
    decls: 31,
    vars: 3,
    consts: [[1, "ion-height-100"], [1, "ion-margin-top"], ["position", "stacked"], ["required", "true", 3, "ngModelChange", "ngModel"], [1, "ion-margin-top", "ion-margin-bottom"], ["lines", "none"], ["id", "mapSelectDevice", 1, "ion-margin-vertical", 2, "height", "200px", "width", "100%"], ["color", "medium", 1, "ion-margin-horizontal", "text-small", "text-center"], ["type", "number", "required", "true", 3, "ngModelChange", "ngModel"], [1, "ion-margin-top", "text-center"], [3, "click"]],
    template: function DevicesFormComponent_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](0, "ion-grid", 0)(1, "ion-row")(2, "ion-col", 1)(3, "ion-item")(4, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](5, "Nombre *");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](6, "ion-input", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayListener"]("ngModelChange", function DevicesFormComponent_Template_ion_input_ngModelChange_6_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayBindingSet"](ctx.device.name, $event) || (ctx.device.name = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](7, "ion-row")(8, "ion-col", 1)(9, "ion-item")(10, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](11, "Descripci\u00F3n de la ubicaci\u00F3n *");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](12, "ion-input", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayListener"]("ngModelChange", function DevicesFormComponent_Template_ion_input_ngModelChange_12_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayBindingSet"](ctx.device.location, $event) || (ctx.device.location = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](13, "ion-row")(14, "ion-col", 4)(15, "ion-item", 5)(16, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](17, "Ubicaci\u00F3n *");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelement"](18, "div", 6);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](19, "ion-note", 7);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](20, " Selecciona la ubicaci\u00F3n m\u00E1s aproximada del dispositivo (por defecto se muestra su ubicaci\u00F3n) ");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](21, "ion-row")(22, "ion-col", 1)(23, "ion-item")(24, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](25, "Alcance *");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](26, "ion-input", 8);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayListener"]("ngModelChange", function DevicesFormComponent_Template_ion_input_ngModelChange_26_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayBindingSet"](ctx.device.scope, $event) || (ctx.device.scope = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementStart"](27, "ion-row")(28, "ion-col", 9)(29, "ion-button", 10);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵlistener"]("click", function DevicesFormComponent_Template_ion_button_click_29_listener() {
          return ctx.save();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtext"](30, "Guardar");
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵelementEnd"]()()()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayProperty"]("ngModel", ctx.device.name);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayProperty"]("ngModel", ctx.device.location);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵadvance"](14);
        _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵtwoWayProperty"]("ngModel", ctx.device.scope);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonItem, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonInput, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonButton, _angular_forms__WEBPACK_IMPORTED_MODULE_9__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_9__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_9__.RequiredValidator, _angular_forms__WEBPACK_IMPORTED_MODULE_9__.NgModel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonLabel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_8__.IonNote],
    styles: [".text-center[_ngcontent-%COMP%] {\n  text-align: center;\n}\n\n.text-small[_ngcontent-%COMP%] {\n  font-size: 0.85rem;\n}"]
  });
  return DevicesFormComponent;
})();

/***/ }),

/***/ 9536:
/*!********************************************!*\
  !*** ./src/app/devices/devices.service.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DevicesService: () => (/* binding */ DevicesService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);





let DevicesService = /*#__PURE__*/(() => {
  var _DevicesService;
  class DevicesService {
    constructor(http, authService) {
      this.http = http;
      this.authService = authService;
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/devices';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(device) {
      return this.http.post(`${this.urlBase}`, device).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    delete(device) {
      return this.http.delete(`${this.urlBase}/${device.id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    get(id) {
      return this.http.get(`${this.urlBase}/${id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    getAll() {
      return this.http.get(`${this.urlBase}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    update(device) {
      const editDevice = {
        ...device
      };
      delete editDevice.id;
      return this.http.put(`${this.urlBase}/${device.id}`, editDevice).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
  }
  _DevicesService = DevicesService;
  _DevicesService.ɵfac = function DevicesService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _DevicesService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService));
  };
  _DevicesService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _DevicesService,
    factory: _DevicesService.ɵfac,
    providedIn: 'root'
  });
  return DevicesService;
})();

/***/ })

}]);