"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[8352],{

/***/ 1498:
/*!****************************************!*\
  !*** ./src/app/core/models/project.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Project: () => (/* binding */ Project)
/* harmony export */ });
class Project {
  constructor(data = {}) {
    this.id = data.id || 0;
    this.name = data.name || '';
    this.description = data.description || '';
    this.active = data.active || false;
    this.users_count = data.users_count || 0;
    this.reports_count = data.reports_count || 0;
    this.project_user_type = data.project_user_type || '';
    this.created_at = data.created_at || '';
    this.updated_at = data.updated_at || '';
  }
}

/***/ }),

/***/ 1078:
/*!**********************************************!*\
  !*** ./src/app/projects/projects.service.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectsService: () => (/* binding */ ProjectsService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);





let ProjectsService = /*#__PURE__*/(() => {
  var _ProjectsService;
  class ProjectsService {
    constructor(http, authService) {
      this.http = http;
      this.authService = authService;
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/projects';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(project) {
      return this.http.post(`${this.urlBase}`, project).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    getAll() {
      return this.http.get(`${this.urlBase}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    get(id) {
      return this.http.get(`${this.urlBase}/${id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    update(project) {
      const editProject = {
        ...project
      };
      delete editProject.id;
      return this.http.put(`${this.urlBase}/${project.id}`, editProject).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
  }
  _ProjectsService = ProjectsService;
  _ProjectsService.ɵfac = function ProjectsService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectsService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService));
  };
  _ProjectsService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _ProjectsService,
    factory: _ProjectsService.ɵfac,
    providedIn: 'root'
  });
  return ProjectsService;
})();

/***/ }),

/***/ 8352:
/*!*****************************************!*\
  !*** ./src/app/reports/reports.page.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ReportsPage: () => (/* binding */ ReportsPage)
/* harmony export */ });
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @angular/common */ 177);
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var _core_models_project__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/models/project */ 1498);
/* harmony import */ var _report_card_report_card_component__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./report-card/report-card.component */ 2792);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _projects_projects_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../projects/projects.service */ 1078);
/* harmony import */ var _core_services_toast_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../core/services/toast.service */ 5423);
/* harmony import */ var _projects_project_report_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../projects/project-report.service */ 4246);











function ReportsPage_app_report_card_13_Template(rf, ctx) {
  if (rf & 1) {
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelement"](0, "app-report-card", 7);
  }
  if (rf & 2) {
    const report_r1 = ctx.$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("report", report_r1);
  }
}
let ReportsPage = /*#__PURE__*/(() => {
  var _ReportsPage;
  class ReportsPage {
    constructor(route, projectsService, toastService, projectReportService) {
      this.route = route;
      this.projectsService = projectsService;
      this.toastService = toastService;
      this.projectReportService = projectReportService;
      this.id = 0;
      this.project = new _core_models_project__WEBPACK_IMPORTED_MODULE_0__.Project();
      this.reports = [];
      let id = this.route.snapshot.paramMap.get('id');
      if (id) {
        this.id = parseInt(id);
      }
    }
    ionViewWillEnter() {
      this.projectsService.get(this.id).subscribe({
        next: project => {
          this.project = project;
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
      this.projectReportService.setProjectId(this.id);
      this.projectReportService.getReports().subscribe({
        next: reports => {
          this.reports = reports;
        },
        error: error => {
          this.toastService.showToast(error.message);
        }
      });
    }
  }
  _ReportsPage = ReportsPage;
  _ReportsPage.ɵfac = function ReportsPage_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ReportsPage)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_6__.ActivatedRoute), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_projects_projects_service__WEBPACK_IMPORTED_MODULE_2__.ProjectsService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_core_services_toast_service__WEBPACK_IMPORTED_MODULE_3__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_projects_project_report_service__WEBPACK_IMPORTED_MODULE_4__.ProjectReportService));
  };
  _ReportsPage.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineComponent"]({
    type: _ReportsPage,
    selectors: [["app-reports"]],
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵStandaloneFeature"]],
    decls: 14,
    vars: 4,
    consts: [[3, "translucent"], ["slot", "start"], ["text", ""], [3, "fullscreen"], [1, "full-height-grid"], [1, "ion-margin-vertical"], [3, "report", 4, "ngFor", "ngForOf"], [3, "report"]],
    template: function ReportsPage_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](0, "ion-header", 0)(1, "ion-toolbar")(2, "ion-buttons", 1);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelement"](3, "ion-back-button", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](4, "ion-title");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](5, " Reportes ");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](6, "ion-content", 3)(7, "ion-card")(8, "ion-grid", 4)(9, "ion-row")(10, "ion-col")(11, "h1", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](12);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtemplate"](13, ReportsPage_app_report_card_13_Template, 1, 1, "app-report-card", 6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("translucent", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("fullscreen", true);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtextInterpolate1"]("Proyecto: ", ctx.project.name, "");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵproperty"]("ngForOf", ctx.reports);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonContent, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonHeader, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonTitle, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonToolbar, _angular_common__WEBPACK_IMPORTED_MODULE_8__.CommonModule, _angular_common__WEBPACK_IMPORTED_MODULE_8__.NgForOf, _angular_forms__WEBPACK_IMPORTED_MODULE_9__.FormsModule, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonButtons, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonBackButton, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonCard, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonRow, _report_card_report_card_component__WEBPACK_IMPORTED_MODULE_1__.ReportCardComponent]
  });
  return ReportsPage;
})();

/***/ })

}]);