"use strict";
(self["webpackChunkapp"] = self["webpackChunkapp"] || []).push([[9055],{

/***/ 1498:
/*!****************************************!*\
  !*** ./src/app/core/models/project.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Project: () => (/* binding */ Project)
/* harmony export */ });
class Project {
  constructor(data = {}) {
    this.id = data.id || 0;
    this.name = data.name || '';
    this.description = data.description || '';
    this.active = data.active || false;
    this.users_count = data.users_count || 0;
    this.reports_count = data.reports_count || 0;
    this.project_user_type = data.project_user_type || '';
    this.created_at = data.created_at || '';
    this.updated_at = data.updated_at || '';
  }
}

/***/ }),

/***/ 755:
/*!**************************************************!*\
  !*** ./src/app/projects/project-user.service.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectUserService: () => (/* binding */ ProjectUserService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);





let ProjectUserService = /*#__PURE__*/(() => {
  var _ProjectUserService;
  class ProjectUserService {
    constructor(authService, http) {
      this.authService = authService;
      this.http = http;
      this.projectId = 0;
      this.urlBase = '';
    }
    setUrlBase() {
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/projects/' + this.projectId.toString() + '/users';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(userId, type) {
      return this.http.post(`${this.urlBase}`, {
        userId: userId,
        type: type
      }).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    setProjectId(id) {
      this.projectId = id;
      this.setUrlBase();
    }
  }
  _ProjectUserService = ProjectUserService;
  _ProjectUserService.ɵfac = function ProjectUserService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectUserService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient));
  };
  _ProjectUserService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _ProjectUserService,
    factory: _ProjectUserService.ɵfac,
    providedIn: 'root'
  });
  return ProjectUserService;
})();

/***/ }),

/***/ 9055:
/*!*******************************************************************!*\
  !*** ./src/app/projects/projects-form/projects-form.component.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectsFormComponent: () => (/* binding */ ProjectsFormComponent)
/* harmony export */ });
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @angular/forms */ 9417);
/* harmony import */ var _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @ionic/angular/standalone */ 9834);
/* harmony import */ var src_app_core_models_project__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/app/core/models/project */ 1498);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _projects_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../projects.service */ 1078);
/* harmony import */ var src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! src/app/core/services/toast.service */ 5423);
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/router */ 7901);
/* harmony import */ var _project_user_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../project-user.service */ 755);
/* harmony import */ var src_app_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! src/app/auth/auth.service */ 3117);










let ProjectsFormComponent = /*#__PURE__*/(() => {
  var _ProjectsFormComponent;
  class ProjectsFormComponent {
    constructor(projectsService, toastService, router, projectUserService, authService) {
      this.projectsService = projectsService;
      this.toastService = toastService;
      this.router = router;
      this.projectUserService = projectUserService;
      this.authService = authService;
      this.project = new src_app_core_models_project__WEBPACK_IMPORTED_MODULE_0__.Project({
        active: true
      });
    }
    save() {
      if (this.project.id == 0) {
        this.projectsService.create(this.project).subscribe({
          next: project => {
            this.authService.user().subscribe({
              next: user => {
                this.projectUserService.setProjectId(project.id);
                this.projectUserService.create(user.id, 'owner').subscribe({
                  next: () => {
                    this.router.navigateByUrl('main/projects').then(() => {
                      window.location.reload();
                    });
                  },
                  error: error => {
                    this.toastService.showToast(error.message);
                  }
                });
              },
              error: error => {
                this.toastService.showToast(error.message);
              }
            });
          },
          error: error => {
            this.toastService.showToast(error.message);
          }
        });
      } else {
        this.projectsService.update(this.project).subscribe({
          next: () => {
            this.router.navigateByUrl('main/projects').then(() => {
              window.location.reload();
            });
          },
          error: error => {
            this.toastService.showToast(error.message);
          }
        });
      }
    }
  }
  _ProjectsFormComponent = ProjectsFormComponent;
  _ProjectsFormComponent.ɵfac = function ProjectsFormComponent_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectsFormComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_projects_service__WEBPACK_IMPORTED_MODULE_1__.ProjectsService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](src_app_core_services_toast_service__WEBPACK_IMPORTED_MODULE_2__.ToastService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_6__.Router), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](_project_user_service__WEBPACK_IMPORTED_MODULE_3__.ProjectUserService), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdirectiveInject"](src_app_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__.AuthService));
  };
  _ProjectsFormComponent.ɵcmp = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineComponent"]({
    type: _ProjectsFormComponent,
    selectors: [["app-projects-form"]],
    inputs: {
      project: "project"
    },
    standalone: true,
    features: [_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵStandaloneFeature"]],
    decls: 17,
    vars: 2,
    consts: [[1, "ion-height-100"], [1, "ion-margin-top"], ["position", "stacked"], ["required", "true", 3, "ngModelChange", "ngModel"], [1, "ion-margin-top", "text-center"], [3, "click"]],
    template: function ProjectsFormComponent_Template(rf, ctx) {
      if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](0, "ion-grid", 0)(1, "ion-row")(2, "ion-col", 1)(3, "ion-item")(4, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](5, "Nombre *");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](6, "ion-input", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayListener"]("ngModelChange", function ProjectsFormComponent_Template_ion_input_ngModelChange_6_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayBindingSet"](ctx.project.name, $event) || (ctx.project.name = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](7, "ion-row")(8, "ion-col", 1)(9, "ion-item")(10, "ion-label", 2);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](11, "Descripci\u00F3n *");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](12, "ion-input", 3);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayListener"]("ngModelChange", function ProjectsFormComponent_Template_ion_input_ngModelChange_12_listener($event) {
          _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayBindingSet"](ctx.project.description, $event) || (ctx.project.description = $event);
          return $event;
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()()();
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementStart"](13, "ion-row")(14, "ion-col", 4)(15, "ion-button", 5);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵlistener"]("click", function ProjectsFormComponent_Template_ion_button_click_15_listener() {
          return ctx.save();
        });
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtext"](16, "Guardar");
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵelementEnd"]()()()();
      }
      if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayProperty"]("ngModel", ctx.project.name);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵadvance"](6);
        _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵtwoWayProperty"]("ngModel", ctx.project.description);
      }
    },
    dependencies: [_ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonGrid, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonCol, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonRow, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonItem, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonInput, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonButton, _angular_forms__WEBPACK_IMPORTED_MODULE_8__.FormsModule, _angular_forms__WEBPACK_IMPORTED_MODULE_8__.NgControlStatus, _angular_forms__WEBPACK_IMPORTED_MODULE_8__.RequiredValidator, _angular_forms__WEBPACK_IMPORTED_MODULE_8__.NgModel, _ionic_angular_standalone__WEBPACK_IMPORTED_MODULE_7__.IonLabel],
    styles: [".text-center[_ngcontent-%COMP%] {\n  text-align: center;\n}\n\n.text-small[_ngcontent-%COMP%] {\n  font-size: 0.85rem;\n}"]
  });
  return ProjectsFormComponent;
})();

/***/ }),

/***/ 1078:
/*!**********************************************!*\
  !*** ./src/app/projects/projects.service.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProjectsService: () => (/* binding */ ProjectsService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 5312);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ 8810);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs */ 6354);
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! rxjs */ 9437);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ 7705);
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/common/http */ 1626);
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../auth/auth.service */ 3117);





let ProjectsService = /*#__PURE__*/(() => {
  var _ProjectsService;
  class ProjectsService {
    constructor(http, authService) {
      this.http = http;
      this.authService = authService;
      this.urlBase = src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.api + '/v1/projects';
    }
    handleError(response) {
      var error = 'Ha ocurrido un error';
      if (response.status == 401) {
        this.authService.deleteToken();
        error = 'Acción no autorizada';
      }
      if (response.status == 400) {
        if (response.error.message == 'Validation errors') {
          const errorMessages = [];
          for (const key in response.error.data) {
            if (response.error.data.hasOwnProperty(key)) {
              response.error.data[key].forEach(msg => {
                errorMessages.push(msg);
              });
            }
          }
          error = errorMessages.join('<br>');
        }
      }
      if (response.status == 403) {
        error = 'Acceso restringido';
      }
      return (0,rxjs__WEBPACK_IMPORTED_MODULE_2__.throwError)(() => new Error(error));
    }
    create(project) {
      return this.http.post(`${this.urlBase}`, project).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    getAll() {
      return this.http.get(`${this.urlBase}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(response => response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    get(id) {
      return this.http.get(`${this.urlBase}/${id}`).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
    update(project) {
      const editProject = {
        ...project
      };
      delete editProject.id;
      return this.http.put(`${this.urlBase}/${project.id}`, editProject).pipe((0,rxjs__WEBPACK_IMPORTED_MODULE_3__.map)(Response => Response.data), (0,rxjs__WEBPACK_IMPORTED_MODULE_4__.catchError)(error => this.handleError(error)));
    }
  }
  _ProjectsService = ProjectsService;
  _ProjectsService.ɵfac = function ProjectsService_Factory(__ngFactoryType__) {
    return new (__ngFactoryType__ || _ProjectsService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_6__.HttpClient), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_1__.AuthService));
  };
  _ProjectsService.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({
    token: _ProjectsService,
    factory: _ProjectsService.ɵfac,
    providedIn: 'root'
  });
  return ProjectsService;
})();

/***/ })

}]);